%define prefix	%_x11dir
%define wmdatadir %prefix/share/WindowMaker

Name: WSoundServer
Version: 0.4.0
Release: alt7

Packager: Alexey Voinov <voins@altlinux.ru>

Summary: Window Maker sound server
Group: Graphical desktop/Window Maker
License: modified BSD-license
Url: http://shadowmere.student.utwente.nl
Source: ftp://shadowmere.student.utwente.nl/pub/WindowMaker/%name-%version.tar.bz2
Source1: WMSound
Source2: WSoundServer.menu
Patch0: WSoundServer-0.4.0-audiofile.patch.bz2
Patch1: WSoundServer-0.4.0-alt-build.patch

Obsoletes: wmsound
Requires: libdockapp

# Automatically added by buildreq on Wed Oct 23 2002
BuildRequires: WindowMaker-devel XFree86-devel esound-devel glibc-devel-static libPropList-devel libaudiofile-devel libdockapp-devel xpm-devel

%description
WSoundServer is a completely from scratch rewritten sound server
written for the Window Maker window manager.

%package devel
Summary: Libraries, includes and other files to develop WSoundServer applications
Group: Development/C
Requires: %name = %version-%release

%description devel
This packages contains the libraries, include and other files
you can use to develop WSoundServer applications.

%package devel-static
Summary: Static libraries to develop WSoundServer applications
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
Static libraries to develop WSoundServer applications

%prep
%setup -q
%patch0 -p1
%patch1 -p1

autoconf
%build
%add_optflags -I/usr/X11R6/include/WINGs
%configure  --with-x --enable-esd --sysconfdir=%_sysconfdir/X11/WindowMaker

%make_build CFLAGS="$RPM_OPT_FLAGS"

%install
install -d $RPM_BUILD_ROOT%_sysconfdir/X11/WindowMaker/
install -d $RPM_BUILD_ROOT%wmdatadir/Icons
install -p -D -m 644 %SOURCE2 $RPM_BUILD_ROOT%_menudir/%name

cp src/wsoundserver.xpm $RPM_BUILD_ROOT%wmdatadir/Icons
cp %SOURCE1 $RPM_BUILD_ROOT/etc/X11/WindowMaker

#make prefix=$RPM_BUILD_ROOT%prefix install-strip
%makeinstall libdir=$RPM_BUILD_ROOT%_x11libdir\
             bindir=$RPM_BUILD_ROOT%_x11bindir\
	     mandir=$RPM_BUILD_ROOT%_x11mandir\
	     includedir=$RPM_BUILD_ROOT%_x11includedir

%files
%doc README AUTHORS COPYING INSTALL ChangeLog
%_sysconfdir/X11/WindowMaker/*
%wmdatadir/Icons/wsoundserver.xpm
%_x11libdir/*.so.*
%_x11bindir/*
%_x11mandir/man1/*
%_menudir/*

%files devel
%_x11libdir/*.so
%_x11libdir/*.la
%_x11includedir/*

%files devel-static
%_x11libdir/*.a

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%changelog
* Wed Oct 23 2002 Stanislav Ievlev <inger@altlinux.ru> 0.4.0-alt7
- made buildable
- cleanup spec
- rebuild with gcc3

* Sat Aug 10 2002 Alexey Voinov <voins@voins.program.ru> 0.4.0-alt6
- fixed BuildRequires (thanks to pavel nikitin <np@seman.nsu.ru> for
  reporting)
- spec cleanup

* Sat Jun  9 2001 Alexey Voinov <voins@voins.program.ru>
- menu rearranged
- conditional NoSource added.

* Wed Apr 18 2001 Alexey Voinov <voins@voins.program.ru>
- Spring2001 build
- patch to compile with new libaudiofile
- menu added

* Fri Feb 16 2001 Alexey Voinov <voins@voins.program.ru>
- spec cleanup
- version 0.4.0

* Sat Jul 17 1999 Nicolas Mailhot <Nicolas.Mailhot@email.enst.fr>
  [WSoundServer-0.1.1]
  Initial build

